
setwd("C:/Users/r-mozet/OneDrive - AXA/Paris V/2018/TP-R-2")


a <- 20
b <- 20
lon <- 30
x <- rnorm(lon)
y <- a*x + b*abs(x) + rnorm(lon)
plot(x,y)
cor(x,y)
cor.test(x,y)$p.value

source("test_fonc.R")

pv <- numeric(1000)
for (i in 1:1000)
{
pv[i] <- test(0,0,"pearson")
}
h0_rejetee <- as.numeric(pv<0.05)
mean(h0_rejetee)

paquet_test(0,0,"pearson",1000)
paquet_test(0,0,"kendall",1000)

paquet_test(1,0,"pearson",100)
paquet_test(1,0,"kendall",100)

paquet_test(.1,.1,"pearson",100)
paquet_test(.1,.1,"kendall",100)

npas <- 20
rappuiss <- numeric(npas)
for (i in 1:npas)
{
puispearson <- paquet_test(i/npas,0,"pearson",100)
puiskendall <- paquet_test(i/npas,0,"kendall",100)
rappuiss[i] <- puispearson/puiskendall
}
plot(rappuiss)

npas <- 20
rappuiss <- numeric(npas)
for (i in 1:npas)
{
puispearson <- paquet_test(i/npas,i/npas,"pearson",100)
puiskendall <- paquet_test(i/npas,i/npas,"kendall",100)
rappuiss[i] <- puispearson/puiskendall
}
plot(rappuiss)

test <- function(a,b,m)
{
lon <- 30
x <- rnorm(lon)
y <- a*x + b*abs(x) + rnorm(lon)
return(cor.test(x,y,method=m)$p.value)
}

paquet_test <- function(a,b,m,n)
{
pv <- numeric(n)
for (i in 1:n)
{
pv[i] <- test(a,b,m)
}
h0_rejetee <- as.numeric(pv<0.05)
return(mean(h0_rejetee))
}

